# Get Verification Status

You can get the verification status of each KYC/KYB information (CIP tag) a user has submitted through this API. Only the status of submitted information will be presented here, however, you may be required to collect more information based on your spec sheet for a user's transaction to be processed.

The verification status can be any of the following. Details are also outlined [here](/api-references/user/registration/cip-information-status.md).

|                         |                                                                                                                                                                                                            |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Verification Status** | **Description**                                                                                                                                                                                            |
| SUBMIT                  | CIP tag has been successfully submitted                                                                                                                                                                    |
| REVIEWING               | CIP tag is under review                                                                                                                                                                                    |
| VERIFIED                | CIP tag is verified                                                                                                                                                                                        |
| FAILED                  | CIP tag verification failed                                                                                                                                                                                |
| REQUESTED               | CIP tag is required for the user. This usually occurs when a user has created a transaction above their current tier limits and additional KYC information is required to further process the transaction. |

#### `GET /users/{{user_id}}/cip-info`

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location --request GET '{{url}}/users/{{user_id}}/cip-info' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}
**Individual user**

```
{
	"cip_info": {
    	"GENDER": "VERIFIED",
    	"COUNTRY": "VERIFIED",
    	"STATE": "VERIFIED",
    	"LAST_NAME": "VERIFIED",
    	"OCCUPATION": "SUBMIT",
    	"CITY": "VERIFIED",
    	"ZIP_CODE": "VERIFIED",
    	"DATE_OF_BIRTH": "VERIFIED",
    	"ID_DOC": "VERIFIED",
    	"PHONE_NUMBER": "VERIFIED",
    	"EMAIL": "VERIFIED",
    	"ADDRESS_LINE1": "VERIFIED",
    	"MIDDLE_NAME": "SUBMIT",
    	"FIRST_NAME": "VERIFIED",
    	"IP_ADDRESS": "VERIFIED"
	},
	"kyc_status": "VERIFIED",
	"user_id": UUID
}
```

**Business user**&#x20;

```
{
    "cip_info": {
        "NATURE_OF_BUSINESS": "VERIFIED",
        "COMPANY_TYPE": "VERIFIED",
        "EIN_NUMBER": "VERIFIED",
        "ACCOUNT_OPERATOR_INFO": "VERIFIED",
        "ZIP_CODE": "VERIFIED",
        "EMAIL": "VERIFIED",
        "CERTIFICATE_OF_INCORPORATION": "VERIFIED",
        "TXN_FREQUENCY": "VERIFIED",
        "NO_OF_EMPLOYEE": "VERIFIED",
        "DATE_OF_BIRTH": "VERIFIED",
        "EIN_DOC": "VERIFIED",
        "FIRST_NAME": "VERIFIED",
        "NO_OF_TXN_PER_MONTH": "VERIFIED",
        "MAILING_ADDRESS": "VERIFIED",
        "STATE": "VERIFIED",
        "SOURCE_OF_FUND": "VERIFIED",
        "ADDRESS_LINE1": "VERIFIED",
        "COUNTRY": "VERIFIED",
        "PHONE_NUMBER": "VERIFIED",
        "COMPANY_WEBSITE": "VERIFIED",
        "CITY": "VERIFIED"
    },
    "kyc_status": "VERIFIED",
    "user_id": {{UUID}}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/user/get-verification-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
